#include <stdio.h>

int main(){
    int t, c;
    int coin[4] = {25,10,5,1};
    scanf("%d",&t);

    while(t--){
        scanf("%d",&c);
        for(int i=0; i<4; i++){
            printf("%d ",c/coin[i]);
            c%=coin[i];
        }
        printf("\n");
    }

    return 0;
}